<form class="ui form" [formGroup]="registerForm" (ngSubmit)="register()">
    <div class="required field">
      <label>Username</label>
      <input type="text" name="username" formControlName="username" />
    </div>

    <div class="required field">
      <label>Password</label>
      <input type="password" name="password" formControlName="password"/>
    </div>

    <div class="required field">
      <label>Name</label>
      <input type="text" name="name" formControlName="name" />
    </div>

    <div class="required field">
      <label>Email</label>
      <input type="email" name="email" formControlName="email" />
    </div>

    <button class="ui fluid button" type="submit">Register</button>
  </form>
